payment instruments.md

Payment Instruments

A Payment Instrument resource represents the payment details of a credit card or bank account. Payment details get tokenized multiple times and each tokenization produces a unique Payment Instrument.

A Payment Instrument is associated with a single Identity. Once a Payment Instrument is created, the Identity it's associated with can't be changed.

Including an address when creating a Payment Instrument can lower interchange on credit card transactions.

Create a Payment Instrument

{% admonition type="warning" name="Payment Instruments PCI Scope" %} The creation of Payment Instruments directly via Finix's API should only be done for testing purposes. You must use our hosted fields or the javascript client to remain out of PCI scope. {% /admonition %}

List Payment Instruments

For details on how to query endpoints using the available parameters, see Query Parameters.

{% admonition type="info" %} If no query parameters are specified in the request the API automatically limits the response to records from the last 30 days. You can request older data by passing an explicit created_at.lte filter. {% /admonition %}

Fetch a Payment Instrument

Update a Payment Instrument

List Instrument History Entries

Verify CVV, AVS, and Name

{% admonition type="warning" name="PCI Scope Restriction" %} CVV submission is only available to PCI-compliant merchants. Non-PCI customers should not collect and pass CVV in this request. {% /admonition %}

Verify Push-to-Card Eligibility

Additionally, the cardholder's name is verified with the issuing bank, and the result is shown in name_verification_results. This applies to Visa and Mastercard.

Create an Apple Pay Session

To create an Apple Pay Session, pass the unique validation_url (provided by Apple) while creating an apple_pay_sessions resource. Finix returns a merchantSession object that you can use to create a payment. For more information, see Apple Pay.